import style from "../index.less";
import { filterDataArr } from '@utils/tools';
import down from '@images/down.png';
const ItemPart = (props) => {
  let { dataStr, title, type, dataJson, other_yjs, lastDot } = props;
  // console.log(dataStr,'dataStr===============');
  if (lastDot) {
    dataStr = dataStr.trim().replace(/；$/g, '');
  }
  return <tr className={style['patInfoFst']} style={{ flexFlow: 'column' }}>
    <td className={style['patInfoSec']} className={style['patInfoSecs']}>
      检查：
        <span style={{ lineHeight: '36px' }}>检查结果数据</span>
    </td>
    <td className={style['patInfoSec']} style={{ padding: '0px 5px 8px 30px',justifyContent:'flex-start' }}>
      {
        dataStr && dataStr != '' && dataStr.split('^;').map((item) => {
          return <div className={style.checkAssist} dangerouslySetInnerHTML={{ __html: item }}></div>
        })
      }
    </td>
  </tr>
}

export default ItemPart;