import React, { Component } from 'react';
import style from "../index.less";
class MedicalAdvice extends Component {
  constructor(props) {
    super(props);
    this.state = {}
  }
  render() {
    const { advice } = this.props
    // console.log(advice,'===========');
    const { labelListBig, labelListSmall, labelListBlood } = advice
    // console.log(advice, 'advice');
    return (
      <tr className={style['patInfoFst']}>
        <td className={style['patInfoSec']}>医嘱：</td>
        <td className={style['patInfoSec']}>
          <table className={style.assistTable}>
            {
              labelListBig && labelListBig.map((item, index) => {
                return (
                  <tr>
                    <div className={style.adviceTable}>
                      <div className={style.adviceTableTop}>
                        <p className={style.adviceTableTopFst}>{item.uniqueName}</p>
                        <p className={style.assistTableTopTwo}>药品</p>
                      </div>
                      <p className={style.assistTableTopFor}>{item.form}</p>
                      <p className={style.assistTableTopFor}>{item.routeName}</p>
                      <p className={style.assistTableTopFor}>{item.value}</p>
                      <p className={style.assistTableTopTime}>{item.time}</p>
                    </div>
                  </tr>
                )
              })
            }
            {
              labelListSmall && labelListSmall.map((item, index) => {
                return (
                  <tr>
                    <div className={style.adviceTable} className={style.adviceTables}>
                      <div className={style.adviceTableTop}>
                        <p className={style.adviceTableTopFst}>{item.name}</p>
                        <p className={style.assistTableTopTwo}>手术/操作</p>
                      </div>
                      <p className={style.assistTableTdSec}>{item.value}</p>
                      <p className={style.assistTableTopTime}>{item.time}</p>
                    </div>

                  </tr>
                )
              })
            }
            {
              labelListBlood && labelListBlood.map((item, index) => {
                return (
                  <tr>
                    <div className={style.adviceTable}>
                      <div className={style.adviceTableTop}>
                        <p className={style.adviceTableTopFst}>{item.name}</p>
                        <p className={style.assistTableTopTwo}>输血</p>
                      </div>
                      <p className={style.assistTableTopFor}>{item.value}</p>
                      <p className={style.assistTableTopTime}>{item.time}</p>
                    </div>

                  </tr>
                )
              })
            }
          </table>
        </td>
      </tr>

    );
  }
}

export default MedicalAdvice;